Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms
Interface Session

All Superinterfaces:
  Runnable, Session

    public interface Session

extends Session

MQ JMS Session. This interface defines NO_ACKNOWLEDGE session mode.

Field Summary
`static int` `NO_ACKNOWLEDGE` Session acknowledge mode.

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Method Summary

Methods inherited from interface javax.jms.Session

`close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getTransacted, recover, rollback, run, setMessageListener, unsubscribe`

Field Detail

### NO_ACKNOWLEDGE

    static final int NO_ACKNOWLEDGE

  Session acknowledge mode. Messages are not acknowledged if this value is set as the acknowledge mode.

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.